using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
// Import namespace ToolsAndMore
using ToolsAndMore;

public partial class Replace_signs : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnReplace_Click(object sender, EventArgs e)
    {
        // When the user clicks the button we take the text in the textbox "txtSomething" and replaces signs by using
        // the function "ReplaceSymbols" that we have created in the "Tools.cs" file.

        lblResult.Text = "Hallo/" + Tools.ReplaceSymbols(txtSomething.Text) + Tools.ReplaceSymbols(DateTime.Now.ToString()) + ".xml";

        //// AN ALTERNATIVE WOULD BE TO MAKE THE REPLACE DIRECTLY LIKE BELOW WITHOUT THE USE OF A FUNCTION IN
        //// TOOLS.CS

        //lblResult.Text = "Hallo/" + txtSomething.Text.Replace(":", "").Replace(" ", "").Replace(",", "").Replace("-", "") + DateTime.Now.ToString().Replace(":", "").Replace(" ", "").Replace(",", "").Replace("-", "") + ".xml";

    }
}
